<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div *ngLet="loading$ | async as loading" class="w-full h-full flex flex-col">
  <div class="grow w-full">
    <app-td-upload #uploader [formControl]="fileControl"> </app-td-upload>
  </div>
  <div class="w-full flex items-center justify-start gap-8 mt-8">
    <p-button [loading]="loading" [disabled]="disabledFile" label="Create Item" (onClick)="createItemFromFile()"></p-button>
    <div *ngIf="!disabledFile" class="flex items-center">
      <p-button icon="pi pi-times" [rounded]="true" [text]="true" severity="danger" (onClick)="uploader.clear()"></p-button>
      <div class="card flex items-center gap-2 mr-1">
        <i class="pi pi-file text-text-300"></i>
        <div class="max-w-[552px] truncate">{{ fileControl.value?.name }}</div>
      </div>
    </div>
  </div>
</div>
